//+------------------------------------------------------------------+
//|                                                     .mq4 |
//|                      Copyright  2005, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2005, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Yellow
#property indicator_color2 Blue
//---- buffers
//---- indicator buffers
double ExtBuffer1[];
double ExtBuffer2[];

//300 -  
double X[300]; //,            
double Y1[300];//       1  
double Y2[300];//       2  

//    
#import "ExpertSample.dll"
 void    fastsingular(double a[],int,int,int,double b[]);
  

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   IndicatorBuffers(2);
   SetIndexBuffer(0, ExtBuffer1);
   SetIndexBuffer(1, ExtBuffer2);
   SetIndexStyle(0,DRAW_LINE, EMPTY, 2);
   SetIndexStyle(1,DRAW_LINE, EMPTY, 2);
   IndicatorDigits(6);
   SetIndexDrawBegin(0,0);
   IndicatorShortName("Gus");
   return(0);
  }
int start()
  {
   //  
   ArrayInitialize(X,0);
   ArrayInitialize(Y1,0);
   ArrayInitialize(Y2,0);
   
   //n -   ,   ( 4000,    ...)
   //l1, l2 -   ( 20)
   //s1, s2 -   .     ,  = 1
   int i, n, l1, s1;
   n = 300; l1 = 7; s1 = 1;
   
    
   int l2, s2;
   l2 = 5; s2 = 1;
   
   //  
   
   for(i=299; i>=0; i--)
   {
      X[i] = Low[i] + (High[i]-Low[i])/2;
      //Print("--", X[i]);
   } 
   
   //ArrayCopy(X, Close, 0, 0, n);
   
   fastsingular(X, n, l1, s1, Y1); //   1  
   fastsingular(X, n, l2, s2, Y2); //   2  
   
   
   ArrayCopy(ExtBuffer1, Y1);
   ArrayCopy(ExtBuffer2, Y2);
   
   return(0);
  }
//+------------------------------------------------------------------+

